summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-11-22 18:29:06 +0100
committerManuel Rüger <mrueg@gentoo.org>2017-11-22 18:29:52 +0100
commita69290060cc4d3da25bdce203924838b19ddf333 (patch)
tree1daa95d81eedcf3d295af803d17040cf6b0b5ecd /sys-cluster
parentdev-python/pyblake2: Backport -fno-tree-vectorize to stable version (diff)
downloadgentoo-a69290060cc4d3da25bdce203924838b19ddf333.tar.gz
gentoo-a69290060cc4d3da25bdce203924838b19ddf333.tar.bz2
gentoo-a69290060cc4d3da25bdce203924838b19ddf333.zip
sys-cluster/kube-apiserver: Version bump to 1.8.4
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Diffstat (limited to 'sys-cluster')
-rw-r--r--sys-cluster/kube-apiserver/Manifest3
-rw-r--r--sys-cluster/kube-apiserver/kube-apiserver-1.8.4.ebuild48
2 files changed, 50 insertions, 1 deletions
diff --git a/sys-cluster/kube-apiserver/Manifest b/sys-cluster/kube-apiserver/Manifest
index d3f101ef4f3..c5de299f08e 100644
--- a/sys-cluster/kube-apiserver/Manifest
+++ b/sys-cluster/kube-apiserver/Manifest
@@ -1,3 +1,4 @@
DIST kubernetes-1.8.1.tar.gz 23400352 SHA256 a262050d532275a1b340ca1a453a986eb977a094d7a8f4a7600358677f114a18 SHA512 b09e72990cd148c604a92d866e4dd07da113a9dd1e68faebea8dd9bf256bfd908070d4e38eed7ce04c8f416d20203cf29c9c7f8906e1b50b678cb18e2ef8f5b3 WHIRLPOOL 87142b40c7d19b8be8563ec5ccaefc3970b7ce79a081bd9c1ff8c3d5227843c267fe5ab8d56b7a42874b7f29d8517f0d69beb2842ab2b58f8fb1efa5e6a61291
DIST kubernetes-1.8.2.tar.gz 23123452 SHA256 3052c0ce35bd1f8a1500588580947c7f17f09f1ddea3a54466036fd62b46c736 SHA512 a813681f07fc674f493701833a30bc6b156572e4c8d28558b0e22dd36c16257c6c0922df773e4a5799a2eec05674cd1180f2b15ab69b0bdce52d1a861723214b WHIRLPOOL d8beb599ca2e194af5e5e1eb6d521c7846ad2ffad72da965119c51c92b16db41a17222886e57de5aad83359f20c8b264eb2e7411048218c95790d1f95f0b75fe
-DIST kubernetes-1.8.3.tar.gz 23203777 SHA256 8ab7e41126dfc3bc1a23ff76efc20e5131320530dc1277e5c2ed8c9618041b95 SHA512 6538b60daf91ad0b89e07d1c7d3a5127ac65f642aa317aefc030656488decf0f288ec7d71390755e90e1452f0719916c38ac45ec71d67969d0f4cf7b402682c8 WHIRLPOOL 94bc84421b648b42b1a0e0ffd8ed8f4e3fe4c5c25bc7ada6026be2e7a22278199b5539b99c2bcc571882ba8a1df3f5b7993c238c163bb1efdef746ec641a6e61
+DIST kubernetes-1.8.3.tar.gz 23203777 BLAKE2B ce8cd5fab6f309bfa5611a66be5c244bec1bfbd5f8dc2db045755f870a5a1bdc2791842a967a0537874b805a3fa49c9a2bec4aac218db35790bf14ed9e88b38a SHA512 6538b60daf91ad0b89e07d1c7d3a5127ac65f642aa317aefc030656488decf0f288ec7d71390755e90e1452f0719916c38ac45ec71d67969d0f4cf7b402682c8
+DIST kubernetes-1.8.4.tar.gz 23213010 BLAKE2B 0c8f4ad04c1ee709344d17ffa37a1d532f437d0b7e04fdc84b6d940346f2b5746c91376b0d2e55a76bb5414b4b7c285da039e7267e7879151b848c9a4112b90e SHA512 4b487256e49cb5d93c22b1992a84f079147bddb243d3b3ca5e984939dca334d62501de426bf3ba1e8e511642bbf4b999091c97b0b1885b87c5bcc9936d29e8c3
diff --git a/sys-cluster/kube-apiserver/kube-apiserver-1.8.4.ebuild b/sys-cluster/kube-apiserver/kube-apiserver-1.8.4.ebuild
new file mode 100644
index 00000000000..920080a62a3
--- /dev/null
+++ b/sys-cluster/kube-apiserver/kube-apiserver-1.8.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="k8s.io/kubernetes"
+ARCHIVE_URI="https://github.com/kubernetes/kubernetes/archive/v${PV}.tar.gz -> kubernetes-${PV}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Kubernetes API server"
+HOMEPAGE="https://github.com/kubernetes/kubernetes https://kubernetes.io"
+SRC_URI="${ARCHIVE_URI}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+DEPEND="dev-go/go-bindata"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/git archive/git-archive/" src/${EGO_PN}/hack/lib/version.sh || die
+ sed -i -e "/vendor\/github.com\/jteeuwen\/go-bindata\/go-bindata/d" src/${EGO_PN}/hack/lib/golang.sh || die
+ sed -i -e "/export PATH/d" src/${EGO_PN}/hack/generate-bindata.sh || die
+}
+
+src_compile() {
+ LDFLAGS="" GOPATH="${WORKDIR}/${P}" emake -j1 -C src/${EGO_PN} WHAT=cmd/${PN} GOFLAGS=-v
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dobin _output/bin/${PN}
+ popd || die
+ keepdir /var/log/${PN}
+ fowners ${PN}:${PN} /var/log/${PN}
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}.logrotated ${PN}
+}